Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.el
Class SeamELResolver

    java.lang.Object
      javax.el.ELResolver
          org.jboss.seam.el.SeamELResolver

    public class SeamELResolver

extends javax.el.ELResolver

Resolves Seam components and namespaces. Also allows the use of #{dataModel.size}, #{dataModel.empty}, #{collection.size}, #{map.size}, #{map.values}, #{map.keySet}, and #{map.entrySet}. Also allows #{sessionContext['name']}.

Author:
  Gavin King

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`SeamELResolver()`

Method Summary
`Class` | `getCommonPropertyType(javax.el.ELContext context, Object base)`
`Iterator` | `getFeatureDescriptors(javax.el.ELContext context, Object base)`
`Class` | `getType(javax.el.ELContext context, Object base, Object property)`
`Object` | `getValue(javax.el.ELContext context, Object base, Object property)`
`boolean` | `isReadOnly(javax.el.ELContext context, Object base, Object property)`
`void` | `setValue(javax.el.ELContext context, Object base, Object property, Object value)`

Methods inherited from class javax.el.ELResolver
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeamELResolver

    public SeamELResolver()

Method Detail

### getCommonPropertyType

    public Class getCommonPropertyType(javax.el.ELContext context,
                                       Object base)

  Specified by:
    `getCommonPropertyType` in class `javax.el.ELResolver`

### getFeatureDescriptors

    public Iterator getFeatureDescriptors(javax.el.ELContext context,
                                          Object base)

  Specified by:
    `getFeatureDescriptors` in class `javax.el.ELResolver`

### getType

    public Class getType(javax.el.ELContext context,
                         Object base,
                         Object property)

  Specified by:
    `getType` in class `javax.el.ELResolver`

### getValue

    public Object getValue(javax.el.ELContext context,
                           Object base,
                           Object property)

  Specified by:
    `getValue` in class `javax.el.ELResolver`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context,
                              Object base,
                              Object property)

  Specified by:
    `isReadOnly` in class `javax.el.ELResolver`

### setValue

    public void setValue(javax.el.ELContext context,
                         Object base,
                         Object property,
                         Object value)

  Specified by:
    `setValue` in class `javax.el.ELResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.